
/*************************************************************************

  APU R 2.0

  field_arithop.c

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#include "field_arithop.h"

Field_element 
operator + (const Field_element& a, const Field_element& b) {
  Plus op; Field_element result;
  binary_op(result,op,a,b);
  return(result);
}

Field_element 
operator - (const Field_element& a, const Field_element& b) {
  Minus op; Field_element result;
  binary_op(result,op,a,b);
  return(result);
}

Field_element 
operator * (const Field_element& a, const Field_element& b) {
  Times op; Field_element result;
  binary_op(result,op,a,b);
  return(result);
}

Field_element 
operator / (const Field_element& a, const Field_element& b) {
  Divide op; Field_element result;
  binary_op(result,op,a,b);
  return(result);
}

Field_element 
operator % (const Field_element& a, const Field_element& b) {
  Mod op; Field_element result;
  binary_op(result,op,a,b);
  return(result);
}

Field_element
operator ^ (const Field_element& a, int operand2) {
  IntPower op; Field_element result;
  int_binary_op(result,op,a,operand2);
  return(result);
}

