
/*************************************************************************

  APU R 2.0

  field_relop.c

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#include "field.h"
#include "binop.h"

bool
operator == (const Field_element& a, const Field_element& b) {
  Equals op; bool result;
  rel_op(result,op,a,b); 
  return(result);
}

bool
operator != (const Field_element& a, const Field_element& b) {
  NotEquals op; bool result;
  rel_op(result,op,a,b); 
  return(result);
}

bool
operator < (const Field_element& a, const Field_element& b) {
  LessThan op; bool result;
  rel_op(result,op,a,b); 
  return(result);
}

bool
operator <= (const Field_element& a, const Field_element& b) {
  LessThanEq op; bool result;
  rel_op(result,op,a,b); 
  return(result);
}

bool
operator > (const Field_element& a, const Field_element& b) {
  GreaterThan op; bool result;
  rel_op(result,op,a,b); 
  return(result);
}

bool
operator >= (const Field_element& a, const Field_element& b) {
  GreaterThanEq op; bool result;
  rel_op(result,op,a,b); 
  return(result);
}

