
/*************************************************************************

  APU R 2.0

  assign.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(ASSIGN_HDR) 
#define ASSIGN_HDR

#include "fielddef.h"
#include "fieldtypes.h"

class Assign {
  public : 
    Assign();
    Assign(Field_element&, const Field_element&); 
    Assign(Slp&, const Slp&); 
    /* 
    Assign(SmallInt&, const SmallInt&); 
    Assign(IntModp&, const IntModp&); 
    Assign(BigInt&, const BigInt&); 
    Assign(Float&, const Float&); 
    Assign(BigFloat&, const BigFloat&); 
    */
};

inline Assign::Assign() {
}

/*
inline Assign::Assign(SmallInt& a, const SmallInt& b) {
  a = b;
}
*/

inline Assign::Assign(Slp& a, const Slp& b) {
  a = b;
}

/*
inline Assign::Assign(IntModp& a, const IntModp& b) {
  a = b;
}

inline Assign::Assign(BigInt& a, const BigInt& b) {
  a = b;
}

inline Assign::Assign(Float& a, const Float& b) {
  a = b;
}

inline Assign::Assign(BigFloat& a, const BigFloat& b) {
  a = b;
}
*/

#endif
