
/*************************************************************************

  APU R 2.0

  float_smallint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined(FLOAT_SMALLINT_HDR) 
#define FLOAT_SMALLINT_HDR 

Float operator+ (const Float& , const SmallInt& ); 
Float operator+ (const SmallInt& , const Float& ); 
Float operator- (const Float& , const SmallInt& ); 
Float operator- (const SmallInt& , const Float& ); 
Float operator* (const Float& , const SmallInt& ); 
Float operator* (const SmallInt& , const Float& ); 
Float operator/ (const Float& , const SmallInt& ); 
Float operator/ (const SmallInt& , const Float& ); 

#endif
