
/*************************************************************************

  APU R 2.0

  bigint_bigrat.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(BIGINT_BIGRAT_HDR) 
#define BIGINT_BIGRAT_HDR

BigRat operator+ (const BigInt& , const BigRat& ); 
BigRat operator+ (const BigRat& , const BigInt& ); 
BigRat operator- (const BigInt& , const BigRat& ); 
BigRat operator- (const BigRat& , const BigInt& ); 
BigRat operator* (const BigInt& , const BigRat& ); 
BigRat operator* (const BigRat& , const BigInt& ); 
BigRat operator/ (const BigInt& , const BigRat& ); 
BigRat operator/ (const BigRat& , const BigInt& ); 

#endif
