
/*************************************************************************

  APU R 2.0

  debug.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

/* General purpose debugging class, include as member of class to be
   debugged and change members of Debug accordingly. 
*/

#if !defined (DEBUG_HDR)
#define DEBUG_HDR

class Polynomial;

class DebugClass {
  public : 
    static int poly_eval_level;
    Polynomial* poly; 
    int poly_evaluated;

    DebugClass();
};

inline DebugClass::DebugClass() {
   poly = 0;
   poly_evaluated = -1;
}


#endif
