/*************************************************************************

  APU R 2.0

  file_io.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined(FILE_IO_HDR)
#define FILE_IO_HDR

#include <iostream.h>
#include <fstream.h>

extern "C" char* strcat(char*,char*);

inline void open_file(ifstream& file,char* f_name) { 
  file.open(f_name,ios::in); 
}

inline void open_file(ofstream& file,char* f_name) { 
  file.open(f_name,ios::out); 
}

inline void open_file(fstream& file,char* f_name) { 
  file.open(f_name,ios::in|ios::app); 
}

#endif
