/*************************************************************************

  APU R 2.0

  intmodp_bigint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined (INTMODP_BIGINT_HDR) 
#define INTMODP_BIGINT_HDR 

IntModp operator+ (const IntModp& , const BigInt& ); 
IntModp operator+ (const BigInt& , const IntModp& ); 
IntModp operator- (const IntModp& , const BigInt& ); 
IntModp operator- (const BigInt& , const IntModp& ); 
IntModp operator* (const IntModp& , const BigInt& ); 
IntModp operator* (const BigInt& , const IntModp& ); 
IntModp operator/ (const IntModp& , const BigInt& ); 
IntModp operator/ (const BigInt& , const IntModp& ); 
IntModp operator% (const IntModp& , const BigInt& ); 
IntModp operator% (const BigInt& , const IntModp& ); 

#endif
