/*************************************************************************

  APU R 2.0

  arith_util.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined(ARITH_UTIL_HDR)
#define ARITH_UTIL_HDR

#include <math.h>

inline int power(int a, int b) {
  return ( (int) (pow((double)(a),(double)(b))) );
}

template <class Type> 
inline Type max (Type a, Type b) {
  if (a > b) return(a); else return(b);
}

int floor_logb(int,int);

#endif
