/*************************************************************************

  APU R 2.0

  intmodp_smallint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined (INTMODP_SMALLINT_HDR) 
#define INTMODP_SMALLINT_HDR 

IntModp operator+ (const IntModp& , const SmallInt& ); 
IntModp operator+ (const SmallInt& , const IntModp& ); 
IntModp operator- (const IntModp& , const SmallInt& ); 
IntModp operator- (const SmallInt& , const IntModp& ); 
IntModp operator* (const IntModp& , const SmallInt& ); 
IntModp operator* (const SmallInt& , const IntModp& ); 
IntModp operator/ (const IntModp& , const SmallInt& ); 
IntModp operator/ (const SmallInt& , const IntModp& ); 
IntModp operator% (const IntModp& , const SmallInt& ); 
IntModp operator% (const SmallInt& , const IntModp& ); 

#endif
