
/*************************************************************************

  APU R 2.0

  slp_bigint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(SLP_BIGINT_HDR) 
#define SLP_BIGINT_HDR

Slp operator+ (const Slp& , const BigInt& ); 
Slp operator+ (const BigInt& , const Slp& ); 
Slp operator- (const Slp& , const BigInt& ); 
Slp operator- (const BigInt& , const Slp& ); 
Slp operator* (const Slp& , const BigInt& ); 
Slp operator* (const BigInt& , const Slp& ); 
Slp operator/ (const Slp& , const BigInt& ); 
Slp operator/ (const BigInt& , const Slp& ); 

#endif
