/*************************************************************************

  APU R 2.0

  crt.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined (CRT_HDR) 
#define CRT_HDR 

#include "array.h"
#include "bigint.h"
#include "multi_intmodp.h"
BigInt crt(Array<int>, Array<int>, int, BigInt);
BigInt crt_mem(BigInt*, Array<int>, Array<int>, int, BigInt); 

BigInt full_crt(Array<int>, int*); 

BigInt partial_crt(MultiIntModp, int*, int, BigInt); 
BigInt multi_crt(MultiIntModp);
#endif
