
#include "field.h"
#include "fieldtypes.h"
#include "polynomial.h"
#include <iostream.h>
#include <fstream.h>
#include "array.h"
#include "triangulate.h"

extern float Timing(char*);

int IntModp::prime = 44497;
extern void init_var();
extern Polynomial read_poly(ifstream&,int=SMALLINT,int=INTMODP,int=INTMODP);
extern void print_maple_poly(ostream&,const Polynomial&);
extern void eat_maple_junk(ifstream&);
extern Polynomial slppoly_to_poly(const Polynomial&);
// extern Polynomial slp_to_poly(Slp);
extern char* slp_vars[5];
int Debug; 
int Count;

int main(int argc, char** argv)
{

  init_var();

  ListNode<Polynomial>* temp; 

  ifstream file;
  fstream out_file; 

  file.open(argv[1],ios::in);
  if (!file) { cout << "Cannot open file" << argv[1] << "\n"; exit(1); }
  eat_maple_junk(file);
  int n; 
  file >> n; 

  List<Polynomial> given_polys; 
  Polynomial temp_poly,conc; 
  for (int i=0;i<n;i++) { 
    temp_poly = read_poly(file,SMALLINT,BIGINT,BIGINT); 
    given_polys.append(temp_poly); 
  }
  conc = read_poly(file,SMALLINT,BIGINT,BIGINT); 
  List<Polynomial> result = triangulate(given_polys);
  for (temp = result.front_of();temp!=0;temp=temp->next_of()) { 
    cout << temp->item_of().variable_of()->name() << "\n"; 
  }
  // cout << result; 
  int i = 1; 
  temp_poly = conc; 
  for (temp = result.front_of();temp!=0;temp=temp->next_of()) { 
    temp_poly = prem(temp_poly,temp->item_of()); 
    // cout << "f[" << i << "]:= ";
    // print_maple_poly(cout,temp->item_of()); 
    // cout << ";\n"; 
    if (Debug) { 
      cout << temp->item_of() << "\n"; 
      cout << temp_poly << "\n"; 
    }
    cout << "Doing" << i << "\n"; 
    i++; 
  }
  // cout << "g := ";
  // print_maple_poly(cout,conc); 
  // cout << ";\n"; 
  cout << "Conclusion is : \n"; 
  cout << temp_poly << "\n"; 

}
